Loading...
Searching...
No Matches
itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType > Class Template Reference

`#include <itkGPUAdvancedCombinationTransformCopier.h>`

## Detailed Description

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>
class itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >

A helper class which creates an GPU AdvancedCombinationTransform which is perfect copy of the CPU AdvancedCombinationTransform.

This class is NOT a filter. Although it has an API similar to a filter, this class is not intended to be used in a pipeline. Instead, the typical use will be like it is illustrated in the following code:

struct OCLImageDims
{
itkStaticConstMacro( Support1D, bool, true );
itkStaticConstMacro( Support2D, bool, true );
itkStaticConstMacro( Support3D, bool, true );
};
using OCLImageTypes = typelist::MakeTypeList< short, float >::Type;
using TransformType = itk::AdvancedCombinationTransform< float, 3 >;
using CopierType = itk::GPUAdvancedCombinationTransformCopier< OCLImageTypes, OCLImageDims, TransformType, float >;
auto copier = CopierType::New();
copier->SetInputTransform(CPUTransform);
copier->Update();
TransformType::Pointer GPUTransform = copier->GetModifiableOutput();
itk::AdvancedCombinationTransform< float, 3 >
itk::GPUAdvancedCombinationTransformCopier
A helper class which creates an GPU AdvancedCombinationTransform which is perfect copy of the CPU Adv...
Definition itkGPUAdvancedCombinationTransformCopier.h:67
itk::GPUAdvancedCombinationTransformCopier::itkStaticConstMacro
itkStaticConstMacro(SpaceDimension, unsigned int, CPUComboTransformType::SpaceDimension)
itk::GPUAdvancedCombinationTransformCopier::TransformType
typename CPUComboTransformType::TransformType TransformType
Definition itkGPUAdvancedCombinationTransformCopier.h:97

Note that the Update() method must be called explicitly in the filter that provides the input to the GPUAdvancedCombinationTransformCopier object. This is needed because the GPUAdvancedCombinationTransformCopier is not a pipeline filter.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 66 of file itkGPUAdvancedCombinationTransformCopier.h.

Inheritance diagram for itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >:
[legend]

## Data Structures

struct | TransformSpaceDimensionToType

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | CPUAdvancedTransformType = AdvancedTransform<CPUScalarType, SpaceDimension, SpaceDimension>
using | CPUComboTransformConstPointer = typename CPUComboTransformType::ConstPointer
using | CPUComboTransformType = TAdvancedCombinationTransform
using | CPUCurrentTransformConstPointer = typename CPUComboTransformType::CurrentTransformConstPointer
using | CPUCurrentTransformPointer = typename CPUComboTransformType::CurrentTransformPointer
using | CPUCurrentTransformType = typename CPUComboTransformType::CurrentTransformType
using | CPUFixedParametersType = typename CPUAdvancedTransformType::FixedParametersType
using | CPUInitialTransformConstPointer = typename CPUComboTransformType::InitialTransformConstPointer
using | CPUInitialTransformPointer = typename CPUComboTransformType::InitialTransformPointer
using | CPUInitialTransformType = typename CPUComboTransformType::InitialTransformType
using | CPUParametersType = typename CPUAdvancedTransformType::ParametersType
using | CPUScalarType = typename CPUComboTransformType::ScalarType
using | GPUAdvancedTransformPointer = typename GPUAdvancedTransformType::Pointer
using | GPUAdvancedTransformType = AdvancedTransform<GPUScalarType, SpaceDimension, SpaceDimension>
using | GPUComboTransformPointer = typename GPUComboTransformType::Pointer
using | GPUComboTransformType = GPUAdvancedCombinationTransform<GPUScalarType, SpaceDimension>
using | GPUFixedParametersType = typename GPUAdvancedTransformType::FixedParametersType
using | GPUParametersType = typename GPUAdvancedTransformType::ParametersType
using | GPUScalarType = TOutputTransformPrecisionType
using | Pointer = SmartPointer<Self>
using | Self = GPUAdvancedCombinationTransformCopier
using | Superclass = Object
using | TransformType = typename CPUComboTransformType::TransformType
using | TransformTypeConstPointer = typename CPUComboTransformType::TransformTypeConstPointer
using | TransformTypePointer = typename CPUComboTransformType::TransformTypePointer

## Public Member Functions

virtual const char * | GetClassName () const
virtual bool | GetExplicitMode () const
| ITK_DISALLOW_COPY_AND_MOVE (GPUAdvancedCombinationTransformCopier)
| itkGetModifiableObjectMacro (Output, GPUComboTransformType)
| itkStaticConstMacro (SpaceDimension, unsigned int, CPUComboTransformType::SpaceDimension)
virtual void | SetExplicitMode (bool _arg)
virtual void | SetInputTransform (const CPUComboTransformType *_arg)
void | Update ()

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

void | CastCopyFixedParameters (const CPUFixedParametersType &from, GPUFixedParametersType &to)
void | CastCopyParameters (const CPUParametersType &from, GPUParametersType &to)
void | CastCopyTransformParameters (const CPUCurrentTransformConstPointer &fromTransform, GPUAdvancedTransformPointer &toTransform)
bool | CopyToCurrentTransform (const CPUCurrentTransformConstPointer &fromTransform, GPUComboTransformPointer &toTransform)
| GPUAdvancedCombinationTransformCopier ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~GPUAdvancedCombinationTransformCopier () override=default

## Private Member Functions

bool | CopyBSplineTransform (const CPUCurrentTransformConstPointer &fromTransform, GPUComboTransformPointer &toTransform)
template<unsigned int InputSpaceDimension>
bool | CopyEuler2DTransform (const CPUCurrentTransformConstPointer &, GPUComboTransformPointer &, TransformSpaceDimensionToType< InputSpaceDimension >)
bool | CopyEuler2DTransform (const CPUCurrentTransformConstPointer &fromTransform, GPUComboTransformPointer &toTransform, TransformSpaceDimensionToType< 2 >)
template<unsigned int InputSpaceDimension>
bool | CopyEuler3DTransform (const CPUCurrentTransformConstPointer &, GPUComboTransformPointer &, TransformSpaceDimensionToType< InputSpaceDimension >)
bool | CopyEuler3DTransform (const CPUCurrentTransformConstPointer &fromTransform, GPUComboTransformPointer &toTransform, TransformSpaceDimensionToType< 3 >)
template<unsigned int InputSpaceDimension>
bool | CopySimilarity2DTransform (const CPUCurrentTransformConstPointer &, GPUComboTransformPointer &, TransformSpaceDimensionToType< InputSpaceDimension >)
bool | CopySimilarity2DTransform (const CPUCurrentTransformConstPointer &fromTransform, GPUComboTransformPointer &toTransform, TransformSpaceDimensionToType< 2 >)
template<unsigned int InputSpaceDimension>
bool | CopySimilarity3DTransform (const CPUCurrentTransformConstPointer &, GPUComboTransformPointer &, TransformSpaceDimensionToType< InputSpaceDimension >)
bool | CopySimilarity3DTransform (const CPUCurrentTransformConstPointer &fromTransform, GPUComboTransformPointer &toTransform, TransformSpaceDimensionToType< 3 >)

## Private Attributes

bool | m_ExplicitMode {}
CPUComboTransformConstPointer | m_InputTransform {}
ModifiedTimeType | m_InternalTransformTime {}
GPUComboTransformPointer | m_Output {}

## Member Typedef Documentation

## ConstPointer

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::ConstPointer = SmartPointer<const Self>

Definition at line 75 of file itkGPUAdvancedCombinationTransformCopier.h.

## CPUAdvancedTransformType

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CPUAdvancedTransformType = AdvancedTransform<CPUScalarType, SpaceDimension, SpaceDimension>

CPU advanced transform class typedefs.

Definition at line 103 of file itkGPUAdvancedCombinationTransformCopier.h.

## CPUComboTransformConstPointer

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CPUComboTransformConstPointer = typename CPUComboTransformType::ConstPointer

CPU combo transform class typedefs.

Definition at line 90 of file itkGPUAdvancedCombinationTransformCopier.h.

## CPUComboTransformType

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CPUComboTransformType = TAdvancedCombinationTransform

Type CPU definitions for the transform.

Definition at line 84 of file itkGPUAdvancedCombinationTransformCopier.h.

## CPUCurrentTransformConstPointer

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CPUCurrentTransformConstPointer = typename CPUComboTransformType::CurrentTransformConstPointer

Definition at line 93 of file itkGPUAdvancedCombinationTransformCopier.h.

## CPUCurrentTransformPointer

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CPUCurrentTransformPointer = typename CPUComboTransformType::CurrentTransformPointer

Definition at line 92 of file itkGPUAdvancedCombinationTransformCopier.h.

## CPUCurrentTransformType

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CPUCurrentTransformType = typename CPUComboTransformType::CurrentTransformType

Definition at line 91 of file itkGPUAdvancedCombinationTransformCopier.h.

## CPUFixedParametersType

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CPUFixedParametersType = typename CPUAdvancedTransformType::FixedParametersType

Definition at line 105 of file itkGPUAdvancedCombinationTransformCopier.h.

## CPUInitialTransformConstPointer

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CPUInitialTransformConstPointer = typename CPUComboTransformType::InitialTransformConstPointer

Definition at line 96 of file itkGPUAdvancedCombinationTransformCopier.h.

## CPUInitialTransformPointer

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CPUInitialTransformPointer = typename CPUComboTransformType::InitialTransformPointer

Definition at line 95 of file itkGPUAdvancedCombinationTransformCopier.h.

## CPUInitialTransformType

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CPUInitialTransformType = typename CPUComboTransformType::InitialTransformType

Definition at line 94 of file itkGPUAdvancedCombinationTransformCopier.h.

## CPUParametersType

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CPUParametersType = typename CPUAdvancedTransformType::ParametersType

Definition at line 104 of file itkGPUAdvancedCombinationTransformCopier.h.

## CPUScalarType

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CPUScalarType = typename CPUComboTransformType::ScalarType

Definition at line 100 of file itkGPUAdvancedCombinationTransformCopier.h.

## GPUAdvancedTransformPointer

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::GPUAdvancedTransformPointer = typename GPUAdvancedTransformType::Pointer

Definition at line 114 of file itkGPUAdvancedCombinationTransformCopier.h.

## GPUAdvancedTransformType

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::GPUAdvancedTransformType = AdvancedTransform<GPUScalarType, SpaceDimension, SpaceDimension>

GPU advanced transform class typedefs.

Definition at line 113 of file itkGPUAdvancedCombinationTransformCopier.h.

## GPUComboTransformPointer

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::GPUComboTransformPointer = typename GPUComboTransformType::Pointer

Definition at line 110 of file itkGPUAdvancedCombinationTransformCopier.h.

## GPUComboTransformType

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::GPUComboTransformType = GPUAdvancedCombinationTransform<GPUScalarType, SpaceDimension>

Definition at line 109 of file itkGPUAdvancedCombinationTransformCopier.h.

## GPUFixedParametersType

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::GPUFixedParametersType = typename GPUAdvancedTransformType::FixedParametersType

Definition at line 116 of file itkGPUAdvancedCombinationTransformCopier.h.

## GPUParametersType

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::GPUParametersType = typename GPUAdvancedTransformType::ParametersType

Definition at line 115 of file itkGPUAdvancedCombinationTransformCopier.h.

## GPUScalarType

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::GPUScalarType = TOutputTransformPrecisionType

GPU combo transform class typedefs.

Definition at line 108 of file itkGPUAdvancedCombinationTransformCopier.h.

## Pointer

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::Pointer = SmartPointer<Self>

Definition at line 74 of file itkGPUAdvancedCombinationTransformCopier.h.

## Self

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::Self = GPUAdvancedCombinationTransformCopier

Standard class typedefs.

Definition at line 72 of file itkGPUAdvancedCombinationTransformCopier.h.

## Superclass

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::Superclass = Object

Definition at line 73 of file itkGPUAdvancedCombinationTransformCopier.h.

## TransformType

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::TransformType = typename CPUComboTransformType::TransformType

Definition at line 97 of file itkGPUAdvancedCombinationTransformCopier.h.

## TransformTypeConstPointer

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::TransformTypeConstPointer = typename CPUComboTransformType::TransformTypeConstPointer

Definition at line 99 of file itkGPUAdvancedCombinationTransformCopier.h.

## TransformTypePointer

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

using itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::TransformTypePointer = typename CPUComboTransformType::TransformTypePointer

Definition at line 98 of file itkGPUAdvancedCombinationTransformCopier.h.

## Constructor & Destructor Documentation

## GPUAdvancedCombinationTransformCopier()

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::GPUAdvancedCombinationTransformCopier | ( |  | ) |

protected

## ~GPUAdvancedCombinationTransformCopier()

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::~GPUAdvancedCombinationTransformCopier | ( |  | ) |

override protected default

## Member Function Documentation

## CastCopyFixedParameters()

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

void itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CastCopyFixedParameters | ( | const CPUFixedParametersType & | from,
|  | GPUFixedParametersType & | to )

protected

Method to copy the fixed parameters.

## CastCopyParameters()

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

void itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CastCopyParameters | ( | const CPUParametersType & | from,
|  | GPUParametersType & | to )

protected

Method to copy the parameters.

## CastCopyTransformParameters()

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

void itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CastCopyTransformParameters | ( | const CPUCurrentTransformConstPointer & | fromTransform,
|  | GPUAdvancedTransformPointer & | toTransform )

protected

Cast and copy the transform parameters.

## CopyBSplineTransform()

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

bool itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CopyBSplineTransform | ( | const CPUCurrentTransformConstPointer & | fromTransform,
|  | GPUComboTransformPointer & | toTransform )

private

Copy method for BSpline transform.

## CopyEuler2DTransform() [1/2]

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>
template<unsigned int InputSpaceDimension>

bool itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CopyEuler2DTransform | ( | const CPUCurrentTransformConstPointer & | ,
|  | GPUComboTransformPointer & | ,
|  | TransformSpaceDimensionToType< InputSpaceDimension > | )

inline private

Copy method for Euler2D transform.

Definition at line 182 of file itkGPUAdvancedCombinationTransformCopier.h.

## CopyEuler2DTransform() [2/2]

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

bool itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CopyEuler2DTransform | ( | const CPUCurrentTransformConstPointer & | fromTransform,
|  | GPUComboTransformPointer & | toTransform,
|  | TransformSpaceDimensionToType< 2 > | )

private

Copy method for Euler2D transform, partial specialization.

## CopyEuler3DTransform() [1/2]

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>
template<unsigned int InputSpaceDimension>

bool itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CopyEuler3DTransform | ( | const CPUCurrentTransformConstPointer & | ,
|  | GPUComboTransformPointer & | ,
|  | TransformSpaceDimensionToType< InputSpaceDimension > | )

inline private

Copy method for Euler3D transform.

Definition at line 193 of file itkGPUAdvancedCombinationTransformCopier.h.

## CopyEuler3DTransform() [2/2]

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

bool itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CopyEuler3DTransform | ( | const CPUCurrentTransformConstPointer & | fromTransform,
|  | GPUComboTransformPointer & | toTransform,
|  | TransformSpaceDimensionToType< 3 > | )

private

Copy method for Euler3D transform, partial specialization.

## CopySimilarity2DTransform() [1/2]

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>
template<unsigned int InputSpaceDimension>

bool itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CopySimilarity2DTransform | ( | const CPUCurrentTransformConstPointer & | ,
|  | GPUComboTransformPointer & | ,
|  | TransformSpaceDimensionToType< InputSpaceDimension > | )

inline private

Copy method for Similarity2D transform.

Definition at line 216 of file itkGPUAdvancedCombinationTransformCopier.h.

## CopySimilarity2DTransform() [2/2]

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

bool itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CopySimilarity2DTransform | ( | const CPUCurrentTransformConstPointer & | fromTransform,
|  | GPUComboTransformPointer & | toTransform,
|  | TransformSpaceDimensionToType< 2 > | )

private

Copy method for Similarity2D transform, partial specialization.

## CopySimilarity3DTransform() [1/2]

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>
template<unsigned int InputSpaceDimension>

bool itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CopySimilarity3DTransform | ( | const CPUCurrentTransformConstPointer & | ,
|  | GPUComboTransformPointer & | ,
|  | TransformSpaceDimensionToType< InputSpaceDimension > | )

inline private

Copy method for Similarity3D transform.

Definition at line 227 of file itkGPUAdvancedCombinationTransformCopier.h.

## CopySimilarity3DTransform() [2/2]

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

bool itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CopySimilarity3DTransform | ( | const CPUCurrentTransformConstPointer & | fromTransform,
|  | GPUComboTransformPointer & | toTransform,
|  | TransformSpaceDimensionToType< 3 > | )

private

Copy method for Similarity3D transform, partial specialization.

## CopyToCurrentTransform()

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

bool itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::CopyToCurrentTransform | ( | const CPUCurrentTransformConstPointer & | fromTransform,
|  | GPUComboTransformPointer & | toTransform )

protected

Method to copy the transforms parameters.

## GetClassName()

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

virtual const char * itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

## GetExplicitMode()

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

virtual bool itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::GetExplicitMode | ( |  | ) | const

virtual

Get/Set the explicit mode. The default is true. If the explicit mode has been set to false that means that early in the code the factories has been created. ObjectFactoryBase::RegisterFactory( GPUAdvancedCombinationTransformFactory::New() ); ObjectFactoryBase::RegisterFactory( GPUAdvancedMatrixOffsetTransformBaseFactory::New() ); ObjectFactoryBase::RegisterFactory( GPUAdvancedTranslationTransformFactory::New() ); ObjectFactoryBase::RegisterFactory( GPUAdvancedBSplineDeformableTransformFactory::New() ); ObjectFactoryBase::RegisterFactory( GPUAdvancedSimilarity3DTransformFactory::New() );

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::ITK_DISALLOW_COPY_AND_MOVE | ( | GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType > |  | ) |

## itkGetModifiableObjectMacro()

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::itkGetModifiableObjectMacro | ( | Output | ,
|  | GPUComboTransformType | )

Compute of the output transform.

## itkStaticConstMacro()

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::itkStaticConstMacro | ( | SpaceDimension | ,
|  | unsigned int | ,
|  | CPUComboTransformType::SpaceDimension | )

Input and Output space dimension.

## New()

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

Pointer itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::New | ( |  | ) |

static

Method for creation through the object factory.

## PrintSelf()

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

void itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

## SetExplicitMode()

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

virtual void itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::SetExplicitMode | ( | bool | _arg | ) |

virtual

## SetInputTransform()

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

virtual void itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::SetInputTransform | ( | const CPUComboTransformType * | _arg | ) |

virtual

Get/Set the input transform.

## Update()

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

void itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::Update | ( |  | ) |

Update method.

## Field Documentation

## m_ExplicitMode

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

bool itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::m_ExplicitMode {}

private

Definition at line 251 of file itkGPUAdvancedCombinationTransformCopier.h.

## m_InputTransform

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

CPUComboTransformConstPointer itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::m_InputTransform {}

private

Definition at line 248 of file itkGPUAdvancedCombinationTransformCopier.h.

## m_InternalTransformTime

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

ModifiedTimeType itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::m_InternalTransformTime {}

private

Definition at line 250 of file itkGPUAdvancedCombinationTransformCopier.h.

## m_Output

template<typename TTypeList, typename NDimensions, typename TAdvancedCombinationTransform, typename TOutputTransformPrecisionType>

GPUComboTransformPointer itk::GPUAdvancedCombinationTransformCopier< TTypeList, NDimensions, TAdvancedCombinationTransform, TOutputTransformPrecisionType >::m_Output {}

private

Definition at line 249 of file itkGPUAdvancedCombinationTransformCopier.h.

Generated on 1768596610 for elastix by 1.15.0 |